@import "pref";

body {
  font-family: 'Roboto', 'Helvetica Neue', sans-serif;
  @include fonts($font-size-x1, $font-height-normal, $font-weight-normal, normal, $color-mine-shaft);
  //letter-spacing: 0.25px;
}

h1 {
  @include reset-margin-padding();
  margin-top: 25px;
  margin-bottom: 15px;
  @include fonts4($font-size-x6, $font-height-normal, $font-weight-bold, normal);
}

h2 {
  @include reset-margin-padding();
  margin-top: 20px;
  margin-bottom: 10px;
  @include fonts4($font-size-x4, $font-height-normal, $font-weight-bold, normal);
}

b,
strong {
  font-weight: $font-weight-medium;
}

.dwfe-txt-successful {
  @include fonts($font-size-x3, $font-height-normal, $font-weight-medium, normal, $color-japanese-laurel-approx);
}

.dwfe-txt-warning {
  @include fonts($font-size-x3, $font-height-normal, $font-weight-normal, normal, $color-warning);
}

//
// ADAPTIVE
//
@include media-tablet {

  h1 {
    margin-top: 35px;
    font-size: $font-size-x7;
  }

  h2 {
    margin-top: 30px;
    font-size: $font-size-x5;
  }

  .dwfe-bali-txt {
    p {
      font-size: $font-size-x2;
    }
  }
}

@include media-desktop {

  h1 {
    font-size: $font-size-x9;
  }
}

//
// Font faces
//

//@font-face {
//  font-family: 'Roboto';
//  font-weight: 300;
//  font-style: normal;
//  src: local('Roboto Light'), local('Roboto-Light'),
//  url('../../../assets/fonts/roboto-light.woff2') format('woff2'),
//  url('../../../assets/fonts/roboto-light.woff') format('woff'),
//  url('../../../assets/fonts/roboto-light.eot') format('embedded-opentype'),
//  url('../../../assets/fonts/roboto-light.svg#roboto-light') format('svg'),
//  url('../../../assets/fonts/roboto-light.ttf') format('truetype');
//}
//
//@font-face {
//  font-family: 'Roboto';
//  font-weight: 300;
//  font-style: italic;
//  src: local('Roboto Light Italic'), local('Roboto-LightItalic'),
//  url('../../../assets/fonts/roboto-light-italic.woff2') format('woff2'),
//  url('../../../assets/fonts/roboto-light-italic.woff') format('woff'),
//  url('../../../assets/fonts/roboto-light-italic.eot') format('embedded-opentype'),
//  url('../../../assets/fonts/roboto-light-italic.svg#roboto-light-italic') format('svg'),
//  url('../../../assets/fonts/roboto-light-italic.ttf') format('truetype');
//}
//
//@font-face {
//  font-family: 'Roboto';
//  font-weight: 400;
//  font-style: normal;
//  src: local('Roboto Regular'), local('Roboto-Regular'),
//  url('../../../assets/fonts/roboto-regular.woff2') format('woff2'),
//  url('../../../assets/fonts/roboto-regular.woff') format('woff'),
//  url('../../../assets/fonts/roboto-regular.eot') format('embedded-opentype'),
//  url('../../../assets/fonts/roboto-regular.svg#roboto-regular') format('svg'),
//  url('../../../assets/fonts/roboto-regular.ttf') format('truetype');
//}
//
//@font-face {
//  font-family: 'Roboto';
//  font-weight: 400;
//  font-style: italic;
//  src: local('Roboto Italic'), local('Roboto-Italic'),
//  url('../../../assets/fonts/roboto-italic.woff2') format('woff2'),
//  url('../../../assets/fonts/roboto-italic.woff') format('woff'),
//  url('../../../assets/fonts/roboto-italic.eot') format('embedded-opentype'),
//  url('../../../assets/fonts/roboto-italic.svg#roboto-italic') format('svg'),
//  url('../../../assets/fonts/roboto-italic.ttf') format('truetype');
//}
//
//@font-face {
//  font-family: 'Roboto';
//  font-weight: 500;
//  font-style: normal;
//  src: local('Roboto Medium'), local('Roboto-Medium'),
//  url('../../../assets/fonts/roboto-medium.woff2') format('woff2'),
//  url('../../../assets/fonts/roboto-medium.woff') format('woff'),
//  url('../../../assets/fonts/roboto-medium.eot') format('embedded-opentype'),
//  url('../../../assets/fonts/roboto-medium.svg#roboto-medium') format('svg'),
//  url('../../../assets/fonts/roboto-medium.ttf') format('truetype');
//}
//
//@font-face {
//  font-family: 'Roboto';
//  font-weight: 500;
//  font-style: italic;
//  src: local('Roboto Medium Italic'), local('Roboto-MediumItalic'),
//  url('../../../assets/fonts/roboto-medium-italic.woff2') format('woff2'),
//  url('../../../assets/fonts/roboto-medium-italic.woff') format('woff'),
//  url('../../../assets/fonts/roboto-medium-italic.eot') format('embedded-opentype'),
//  url('../../../assets/fonts/roboto-medium-italic.svg#roboto-medium-italic') format('svg'),
//  url('../../../assets/fonts/roboto-medium-italic.ttf') format('truetype');
//}
//
//@font-face {
//  font-family: 'Roboto';
//  font-weight: 700;
//  font-style: normal;
//  src: local('Roboto Bold'), local('Roboto-Bold'),
//  url('../../../assets/fonts/roboto-bold.woff2') format('woff2'),
//  url('../../../assets/fonts/roboto-bold.woff') format('woff'),
//  url('../../../assets/fonts/roboto-bold.eot') format('embedded-opentype'),
//  url('../../../assets/fonts/roboto-bold.svg#roboto-bold') format('svg'),
//  url('../../../assets/fonts/roboto-bold.ttf') format('truetype');
//}
//
//@font-face {
//  font-family: 'Roboto';
//  font-weight: 700;
//  font-style: italic;
//  src: local('Roboto Bold Italic'), local('Roboto-BoldItalic'),
//  url('../../../assets/fonts/roboto-bold-italic.woff2') format('woff2'),
//  url('../../../assets/fonts/roboto-bold-italic.woff') format('woff'),
//  url('../../../assets/fonts/roboto-bold-italic.eot') format('embedded-opentype'),
//  url('../../../assets/fonts/roboto-bold-italic.svg#roboto-bold-italic') format('svg'),
//  url('../../../assets/fonts/roboto-bold-italic.ttf') format('truetype');
//}
